> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete third-party connector

> Deletes a specific connector for a customer.



## OpenAPI

````yaml /openAPI/openapi-20240301.json delete /customers/connector/{customer_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /customers/connector/{customer_id}:
    delete:
      tags:
        - Customers
      summary: Delete third-party connector
      description: Deletes a specific connector for a customer.
      operationId: Delete-third-party-connector
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            title: Customer Id
        - name: connector
          in: query
          required: true
          schema:
            type: string
            examples:
              - connector=stripe
            title: Connector
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteConnectorForCustomerResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteConnectorForCustomerResponseSchema:
      properties:
        customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Id
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference Id
        resource_mapping_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Mapping Id
        connector_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Id
        payment_methods:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Payment Methods
          description: Deleted payment methods of the customer
          default: []
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: DeleteConnectorForCustomerResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````